LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XShapes3 Interface Reference

Yet another XShapes interface, enables sorting shapes with some extra attention paid to shapes with textboxes and overall performance. More...

`import"XShapes3.idl";`

## Public Member Functions
void | sort ([in] sequence< long > sortOrder) raises ( com::sun::star::lang::IllegalArgumentException )
| Sort shapes according to given sort order, for perf reason just rearrange and don't broadcast. More...

## Detailed Description

Yet another XShapes interface, enables sorting shapes with some extra attention paid to shapes with textboxes and overall performance.

Since
  LibreOffice 6.4

## Member Function Documentation

## ◆ sort()

void sort | ( | [in] sequence< long > | sortOrder | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Sort shapes according to given sort order, for perf reason just rearrange and don't broadcast.

Parameters

  sortOrder | desired order of the shapes

Since
  LibreOffice 6.4

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapes3.idl